org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.util

## Class DynamicObject

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.util.DynamicObject

    public class DynamicObject
    extends Object

Utility class to access (R/W) field in super class hierarchy.

It has decent performance as it LRU-caches reflective call.

### Constructor Summary

Constructors
Constructor and Description
`DynamicObject(Object target)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `get(String fieldName)`
`double` `getDouble(String fieldName)`
`int` `getInt(String fieldName)`
`protected void` `handleException(Throwable cause)`
`Object` `invoke(String methodName, Class<?>[] parameterTypes, Object... args)`
`void` `set(String fieldName, Object value)`
`void` `setDouble(String fieldName, double value)`
`void` `setInt(String fieldName, int value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DynamicObject

    public DynamicObject(Object target)

### Method Detail

#### get

    public Object get(String fieldName)

#### set

    public void set(String fieldName,
                    Object value)

#### getDouble

    public double getDouble(String fieldName)

#### setDouble

    public void setDouble(String fieldName,
                          double value)

#### getInt

    public int getInt(String fieldName)

#### setInt

    public void setInt(String fieldName,
                       int value)

#### invoke

    public Object invoke(String methodName,
                         Class<?>[] parameterTypes,
                         Object... args)

#### handleException

    protected void handleException(Throwable cause)

Parameters:
  `cause` -